Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1144660 - Review Request: nodejs-strscanner - Lexical string analysis for javascript
Summary: Review Request: nodejs-strscanner - Lexical string analysis for javascript
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-09-20 07:13 UTC by Parag Nemade
Modified: 2014-11-14 20:25 UTC (History)
2 users (show)

Fixed In Version: nodejs-strscanner-0.0.8-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 05:57:06 UTC
moceap: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-20 07:13:41 UTC
Spec URL: https://paragn.fedorapeople.org/fedora-work/SPECS/nodejs-strscanner.spec
SRPM URL: https://paragn.fedorapeople.org/fedora-work/SRPMS/nodejs-strscanner-0.0.8-1.fc21.src.rpm
Description: Lexical string analysis for javascript

Fedora Account System Username: pnemade

Comment 2 Mosaab Alzoubi 2014-10-22 14:04:32 UTC
There's no information about license even here: https://www.npmjs.org/package/strscanner !!!

Comment 3 Parag Nemade 2014-10-25 17:30:16 UTC
Upstream has committed now MIT license text file which I have used as SOURCE1. Updated the package but no release bumped as its not needed.

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-strscanner.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-strscanner-0.0.8-1.fc21.src.rpm

Comment 4 Mosaab Alzoubi 2014-10-28 12:30:27 UTC
Fix Url:

https://github.com/crcn/strscan.js.git >> https://github.com/crcn/strscan.js

Otherwise, everything OK!

Comment 6 Mosaab Alzoubi 2014-10-28 12:46:19 UTC
* Rpmlint: o errors
* License: MIT
* Binaries: None
* Spec: Clean
* Content: Clean
* %check test: Pass
* Node.js package: Noarch
* Node.js packaging guideline: checked
* CHECKSUM(MD5) this package: 2c778ab0edca4772772449dfe5e96360
 CHECKSUM(MD5) upstream package: 2c778ab0edca4772772449dfe5e96360
========

APPROVED

Comment 7 Parag Nemade 2014-10-28 13:02:48 UTC
New Package SCM Request
=======================
Package Name: nodejs-strscanner
Short Description: Lexical string analysis for javascript
Upstream URL: https://github.com/crcn/strscan.js
Owners: pnemade
Branches: f19 f20 f21 el6 epel7

Comment 8 Gwyn Ciesla 2014-10-28 17:40:41 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-10-29 05:06:31 UTC
nodejs-strscanner-0.0.8-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-strscanner-0.0.8-2.fc21

Comment 10 Fedora Update System 2014-10-29 05:14:07 UTC
nodejs-strscanner-0.0.8-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-strscanner-0.0.8-2.fc20

Comment 11 Fedora Update System 2014-10-29 05:21:34 UTC
nodejs-strscanner-0.0.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-strscanner-0.0.8-2.fc19

Comment 12 Fedora Update System 2014-10-29 05:28:08 UTC
nodejs-strscanner-0.0.8-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-strscanner-0.0.8-2.el7

Comment 13 Fedora Update System 2014-10-31 01:25:06 UTC
nodejs-strscanner-0.0.8-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 14 Fedora Update System 2014-11-10 05:57:06 UTC
nodejs-strscanner-0.0.8-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2014-11-10 06:06:36 UTC
nodejs-strscanner-0.0.8-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2014-11-10 06:06:41 UTC
nodejs-strscanner-0.0.8-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2014-11-14 20:25:38 UTC
nodejs-strscanner-0.0.8-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.